/*******************************************************************************
 *  PROJECT: GNOME Colorscheme
 *
 *  AUTHOR: Jonathon Jongsma
 *
 *  Copyright (c) 2005 Jonathon Jongsma
 *
 *  License:
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the 
 *    Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
 *    Boston, MA  02111-1307  USA
 *
 *******************************************************************************/

#ifndef __GCS_ABOUT_WINDOW_H
#define __GCS_ABOUT_WINDOW_H

#include <vector>

#include <gtkmm/aboutdialog.h>
#include <glibmm/ustring.h>
#include <gdkmm/pixbuf.h>

namespace gcs
{
    /** The Dialogs namespace contains all dialog windows that are displayed in
     * the GNOME Colorscheme application
     */
    namespace Dialogs
    {

        // Gtk::AboutDialog requires gtkmm 2.6
        class AboutWindow : public Gtk::AboutDialog
        {
            public:
                AboutWindow(void);

            protected:
                void on_link_clicked(Gtk::AboutDialog& dialog, const Glib::ustring& link);
                virtual void on_response(int response_id);

            private:
                Glib::RefPtr<Gdk::Pixbuf> m_logo;
                static const int m_logoSize;

                // credits
                std::vector<Glib::ustring> m_authors;
                std::vector<Glib::ustring> m_artists;
                std::vector<Glib::ustring> m_documenters; // not used yet.
        };

    } // namespace Dialogs
} // namespace gcs

#endif // __GCS_ABOUT_WINDOW_H
